package cc.smtweb.system.bpm.web.design.form.define;

import com.fasterxml.jackson.annotation.JsonFilter;

/**
 * Created by Akmm at 2022/4/20 18:15
 */ //字段要素
@JsonFilter("datasetField")
public class PageDatasetField {
    //表
    public long table;
    //字段
    public String field;
    //有别名取别名，无别名同字段名
    public String name;
    public String label;
    //合计栏
    public String summary;

    public String remark;
    //字段类型，如编码字段，参见FieldTypeDef
    public int fieldType;
    /**
     * 数据类型，参见DataType
     */
    public String dataType;
    /**
     * '禁止为空'
     */
    public int notNull;
    //外键关联表
    public String link;
    //控件类型：TEXT/TextArea/NUMBER/COMBO
    public String editor;

    public boolean isNotNull() {
        return notNull == 1;
    }
}
